PHP 8.0.24 Released!

Pré-requis

Pthreads requièrt une construction de PHP avec ZTS activé (--enable-zts, ou sur les systèmes non-Windows antérieurs à PHP 8.0.0, --enable-maintainer-zts).

Attention

La sécurité des Threads Zend (Zend Thread Safety - ZTS) ne peut pas être activée après construction; c'est une option de compilation.

pthreads devrait compiler tant qu'il y a un entête Posix Threads fonctionnel (pthread.h) ainsi qu'une construction ZTS de PHP, ceci inclut Windows (en utilisant le projet pthread-w32 de redhat).

add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top